Skip to main content
`Ctrl`+`K`

# DMSwarmVectorDefineField

Sets the field from which to define a `Vec` object when `DMCreateLocalVector()`, or `DMCreateGlobalVector()` is called

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmVectorDefineField(DM dm, const char fieldname[])

Collective

## Input Parameters

- dm - a `DMSWARM`

- fieldname - the textual name given to each registered field

## Notes

The field with name `fieldname` must be defined as having a data type of `PetscScalar`.

This function must be called prior to calling `DMCreateLocalVector()`, `DMCreateGlobalVector()`. Multiple calls to `DMSwarmVectorDefineField()` are permitted.

## See Also

`DM`, `DMSWARM`, `DMSwarmVectorDefineFields()`, `DMSwarmVectorGetField()`, `DMSwarmRegisterPetscDatatypeField()`, `DMCreateGlobalVector()`, `DMCreateLocalVector()`

## Level

beginner

## Location

src/dm/impls/swarm/swarm.c

## Examples

src/dm/impls/swarm/tutorials/ex1f90.F90
src/ts/tutorials/ex77.c
src/dm/tutorials/swarm_ex2.c
src/dm/tutorials/swarm_ex1.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages